Skip site navigation (1) Skip section navigation (2)

Re: pg_listener table errors with slony

From: Guillaume Lelarge <guillaume(at)lelarge(dot)info>
To: Dave Page <dpage(at)pgadmin(dot)org>
Cc: Ben Carbery <ben(dot)carbery(at)gmail(dot)com>, pgadmin-support(at)postgresql(dot)org
Subject: Re: pg_listener table errors with slony
Date: 2011-06-01 20:01:15
Message-ID: 1306958476.28411.41.camel@laptop (view raw or flat)
Thread:
Lists: pgadmin-support
On Wed, 2011-06-01 at 19:45 +0000, Dave Page wrote:
> On Wed, Jun 1, 2011 at 7:39 PM, Guillaume Lelarge
> <guillaume(at)lelarge(dot)info> wrote:
> > On Wed, 2011-06-01 at 16:13 +0000, Dave Page wrote:
> >> On Wed, Jun 1, 2011 at 4:11 PM, Guillaume Lelarge
> >> <guillaume(at)lelarge(dot)info> wrote:
> >> > On Wed, 2011-06-01 at 09:58 +0000, Dave Page wrote:
> >> >> Hi Guillaume
> >> >>
> >> >> On Wed, Jan 19, 2011 at 9:40 PM, Guillaume Lelarge
> >> >> <guillaume(at)lelarge(dot)info> wrote:
> >> >> > Le 19/01/2011 22:33, Dave Page a écrit :
> >> >> >> On Wed, Jan 19, 2011 at 9:30 PM, Guillaume Lelarge
> >> >> >> <guillaume(at)lelarge(dot)info> wrote:
> >> >> >>> We had 1.2 support. To have 2.0, we would have to get rid of the
> >> >> >>> sl_trigger checks. Or was it dropped along the way of 2.0?
> >> >> >>
> >> >> >> No idea - I just recall Sachin working on compatibility, and that was
> >> >> >> one of/the patch he came of with.
> >> >> >>
> >> >> >
> >> >> > Yeah, you're right. I now see the commit. Which means we have two bugs
> >> >> > on 2.0 support.
> >> >>
> >> >> What happened with this in the end? I've just run into the pg_listener
> >> >> bug again. I see from the thread you said you were going to work on
> >> >> it, but then we got side-tracked into a discussion on whether we
> >> >> should have slony support at all.
> >> >>
> >> >
> >> > I still have it on my todo list.
> >>
> >> OK, well I'm looking at the moment to see if we can do something with
> >> sl_nodelock as Steve suggested, in combination with pg_stat_activity.
> >>
> >> What was the other bug? I'm not sure I understand what that issue is.
> >>
> >
> > The issue I wanted to work on is the pg_listener one. pg_listener is
> > available till 9.0. With the rework on the LISTEN/NOTIFY implementation
> > in 9.0, all calls to pg_listener fail because pg_listener isn't
> > available anymore. So we need to find another way to get the listener
> > PID.
> 
> Yeah, that was the original issue reported, but you mentioned there
> was another one?
> 

Yes, we are still trying to scan the sl_trigger table which seems to
have been dropped in Slony 2.0. See pgadmin/slony/dlgRepSet.cpp and
pgadmin/slony/slTable.cpp.


-- 
Guillaume
  http://blog.guillaume.lelarge.info
  http://www.dalibo.com


In response to

Responses

pgadmin-support by date

Next:From: Steve SingerDate: 2011-06-01 20:18:25
Subject: Re: pg_listener table errors with slony
Previous:From: Dave PageDate: 2011-06-01 19:45:11
Subject: Re: pg_listener table errors with slony

Privacy Policy | About PostgreSQL
Copyright © 1996-2014 The PostgreSQL Global Development Group